package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.vo.SppbVO;

public interface PphpService {

	Map<String, Object> preAddPphp( String dateStart,String dateEnd, Integer supplierId);

	Map<String, Object> detailSppb(String noRec);

	Map<String, Object> savePphp(SppbVO vo);

	Map<String, Object> daftarPphp(Integer page, Integer limit, String sort, String dir, String dateStart,String dateEnd, Integer supplierId);

	Map<String, Object> preAddPenerimaan(Integer page, Integer limit, String sort, String dir, String dateStart,String dateEnd, Integer supplierId);

	Double konversi(Integer satuanAwal, Integer satuanAhir, Double qty);

	Map<String, Object> detailPphp(String noRec);

	Double konversiKali(Integer produkId, Integer satuanAwal, Integer satuanAhir, Double qtyAsal);


}